#!/bin/bash

ARG1=$1
NAMESPACE=$(cat namespace)
TRIVY_VERSION=0.11.0
HOME=/home/`id -nu`

kubectl create namespace $NAMESPACE \
  --dry-run=client \
  -o yaml | \
  kubectl -f - apply

eval "`cat secrets.asc | /usr/local/bin/decrypt-secrets.sh`"
kubectl create secret generic trivy-secret \
  --dry-run=client \
  -o yaml \
  --save-config \
  --from-literal="serverToken=$serverToken" | \
  kubectl apply -f - -n $NAMESPACE

helm repo add aquasecurity https://aquasecurity.github.io/helm-charts/
helm repo update
helm upgrade --install \
  trivy-server aquasecurity/trivy \
  -f values.yml \
  --version $TRIVY_VERSION \
  --namespace=$NAMESPACE



